LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
ReportDesign Service Reference

This interface could be incomplete since I derived it from its sole place of use. More...

`import"ReportDesign.idl";`

Inheritance diagram for ReportDesign:

## Additional Inherited Members
Public Types inherited from XController2
typedef sequence< ::com::sun::star::beans::PropertyValue > | CreationArguments
| denotes the arguments used to create the instance. More...
Public Member Functions inherited from XController2
::com::sun::star::ui::XSidebarProvider | getSidebar ()
| get the sidebar if exists More...
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame. More...
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model. More...
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view More...
any | getViewData ()
| provides access to current view status More...
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData(). More...
XModel | getModel ()
| provides access to currently attached model More...
XFrame | getFrame ()
| provides access to owner frame of this controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Attributes inherited from XController2
::com::sun::star::awt::XWindow | ComponentWindow
| denotes the "root window" of the controller. More...
string | ViewControllerName
| specifies the view name of the controller. More...

## Detailed Description

This interface could be incomplete since I derived it from its sole place of use.

Since
  LibreOffice 4.1

The documentation for this service was generated from the following file:

- com/sun/star/sdb/ReportDesign.idl